/////////////////////////////////////////////////////////////////////////////
// Name:        wx/private/lang_likely.h
// Purpose:     Mapping of likely subtags
// Author:      misc/languages/genlang.py
// Created:     2024-10-04
// Copyright:   (c) 2024 wxWidgets development team <vadim@wxwidgets.org>
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

// WARNING: Parts of this file are generated. See misc/languages/README for
// details.

#ifndef _WX_PRIVATE_LANG_LIKELY_H_
#define _WX_PRIVATE_LANG_LIKELY_H_

// ----------------------------------------------------------------------------
// Mapping of language ids to default locale tags
// ----------------------------------------------------------------------------

// --- --- --- generated code begins here --- --- ---

// The following data tables are generated by misc/languages/genlang.py
// When making changes, please put them into misc/languages/likelytabl.txt

// Data table for likely subtags
static const struct likelyData_t
{
    const char* tagfrom;
    const char* tagto;
}
tabLikelyData[] =
{
    { "aa",       "aa-Latn-ET" },
    { "ab",       "ab-Cyrl-GE" },
    { "af",       "af-Latn-ZA" },
    { "agq",      "agq-Latn-CM" },
    { "ak",       "ak-Latn-GH" },
    { "am",       "am-Ethi-ET" },
    { "ar",       "ar-Arab-EG" },
    { "arn",      "arn-Latn-CL" },
    { "as",       "as-Beng-IN" },
    { "asa",      "asa-Latn-TZ" },
    { "ast",      "ast-Latn-ES" },
    { "ay",       "ay-Latn-BO" },
    { "az",       "az-Latn-AZ" },
    { "az-Arab",  "az-Arab-IR" },
    { "az-IQ",    "az-Arab-IQ" },
    { "az-IR",    "az-Arab-IR" },
    { "az-RU",    "az-Cyrl-RU" },
    { "ba",       "ba-Cyrl-RU" },
    { "bas",      "bas-Latn-CM" },
    { "be",       "be-Cyrl-BY" },
    { "bem",      "bem-Latn-ZM" },
    { "bez",      "bez-Latn-TZ" },
    { "bg",       "bg-Cyrl-BG" },
    { "bi",       "bi-Latn-VU" },
    { "bin",      "bin-Latn-NG" },
    { "bm",       "bm-Latn-ML" },
    { "bn",       "bn-Beng-BD" },
    { "bo",       "bo-Tibt-CN" },
    { "br",       "br-Latn-FR" },
    { "brx",      "brx-Deva-IN" },
    { "bs",       "bs-Latn-BA" },
    { "byn",      "byn-Ethi-ER" },
    { "ca",       "ca-Latn-ES" },
    { "ccp",      "ccp-Cakm-BD" },
    { "ce",       "ce-Cyrl-RU" },
    { "ceb",      "ceb-Latn-PH" },
    { "cgg",      "cgg-Latn-UG" },
    { "chr",      "chr-Cher-US" },
    { "co",       "co-Latn-FR" },
    { "cs",       "cs-Latn-CZ" },
    { "cu",       "cu-Cyrl-RU" },
    { "cu-Glag",  "cu-Glag-BG" },
    { "cy",       "cy-Latn-GB" },
    { "da",       "da-Latn-DK" },
    { "dav",      "dav-Latn-KE" },
    { "de",       "de-Latn-DE" },
    { "dje",      "dje-Latn-NE" },
    { "doi",      "doi-Deva-IN" },
    { "dsb",      "dsb-Latn-DE" },
    { "dua",      "dua-Latn-CM" },
    { "dv",       "dv-Thaa-MV" },
    { "dyo",      "dyo-Latn-SN" },
    { "dz",       "dz-Tibt-BT" },
    { "ebu",      "ebu-Latn-KE" },
    { "ee",       "ee-Latn-GH" },
    { "el",       "el-Grek-GR" },
    { "en",       "en-Latn-US" },
    { "en-Shaw",  "en-Shaw-GB" },
    { "eo",       "eo-Latn-001" },
    { "es",       "es-Latn-ES" },
    { "et",       "et-Latn-EE" },
    { "eu",       "eu-Latn-ES" },
    { "ewo",      "ewo-Latn-CM" },
    { "fa",       "fa-Arab-IR" },
    { "ff",       "ff-Latn-SN" },
    { "ff-Adlm",  "ff-Adlm-GN" },
    { "fi",       "fi-Latn-FI" },
    { "fil",      "fil-Latn-PH" },
    { "fj",       "fj-Latn-FJ" },
    { "fo",       "fo-Latn-FO" },
    { "fr",       "fr-Latn-FR" },
    { "fur",      "fur-Latn-IT" },
    { "fy",       "fy-Latn-NL" },
    { "ga",       "ga-Latn-IE" },
    { "gd",       "gd-Latn-GB" },
    { "gl",       "gl-Latn-ES" },
    { "gn",       "gn-Latn-PY" },
    { "gsw",      "gsw-Latn-CH" },
    { "gu",       "gu-Gujr-IN" },
    { "guz",      "guz-Latn-KE" },
    { "gv",       "gv-Latn-IM" },
    { "ha",       "ha-Latn-NG" },
    { "ha-CM",    "ha-Arab-CM" },
    { "ha-SD",    "ha-Arab-SD" },
    { "haw",      "haw-Latn-US" },
    { "he",       "he-Hebr-IL" },
    { "hi",       "hi-Deva-IN" },
    { "hr",       "hr-Latn-HR" },
    { "hsb",      "hsb-Latn-DE" },
    { "hu",       "hu-Latn-HU" },
    { "hy",       "hy-Armn-AM" },
    { "ia",       "ia-Latn-001" },
    { "ibb",      "ibb-Latn-NG" },
    { "id",       "id-Latn-ID" },
    { "ie",       "ie-Latn-EE" },
    { "ig",       "ig-Latn-NG" },
    { "ii",       "ii-Yiii-CN" },
    { "ik",       "ik-Latn-US" },
    { "is",       "is-Latn-IS" },
    { "it",       "it-Latn-IT" },
    { "iu",       "iu-Cans-CA" },
    { "ja",       "ja-Jpan-JP" },
    { "jgo",      "jgo-Latn-CM" },
    { "jmc",      "jmc-Latn-TZ" },
    { "jv",       "jv-Latn-ID" },
    { "ka",       "ka-Geor-GE" },
    { "kab",      "kab-Latn-DZ" },
    { "kam",      "kam-Latn-KE" },
    { "kde",      "kde-Latn-TZ" },
    { "kea",      "kea-Latn-CV" },
    { "khq",      "khq-Latn-ML" },
    { "ki",       "ki-Latn-KE" },
    { "kk",       "kk-Cyrl-KZ" },
    { "kk-AF",    "kk-Arab-AF" },
    { "kk-Arab",  "kk-Arab-CN" },
    { "kk-CN",    "kk-Arab-CN" },
    { "kk-IR",    "kk-Arab-IR" },
    { "kk-MN",    "kk-Arab-MN" },
    { "kkj",      "kkj-Latn-CM" },
    { "kl",       "kl-Latn-GL" },
    { "kln",      "kln-Latn-KE" },
    { "km",       "km-Khmr-KH" },
    { "kn",       "kn-Knda-IN" },
    { "ko",       "ko-Kore-KR" },
    { "kok",      "kok-Deva-IN" },
    { "kr",       "kr-Latn-NG" },
    { "ks",       "ks-Arab-IN" },
    { "ksb",      "ksb-Latn-TZ" },
    { "ksf",      "ksf-Latn-CM" },
    { "ksh",      "ksh-Latn-DE" },
    { "ku",       "ku-Latn-TR" },
    { "ku-Arab",  "ku-Arab-IQ" },
    { "ku-LB",    "ku-Arab-LB" },
    { "ku-Yezi",  "ku-Yezi-GE" },
    { "kw",       "kw-Latn-GB" },
    { "ky",       "ky-Cyrl-KG" },
    { "ky-Arab",  "ky-Arab-CN" },
    { "ky-CN",    "ky-Arab-CN" },
    { "ky-Latn",  "ky-Latn-TR" },
    { "ky-TR",    "ky-Latn-TR" },
    { "la",       "la-Latn-VA" },
    { "lag",      "lag-Latn-TZ" },
    { "lb",       "lb-Latn-LU" },
    { "lg",       "lg-Latn-UG" },
    { "lkt",      "lkt-Latn-US" },
    { "ln",       "ln-Latn-CD" },
    { "lo",       "lo-Laoo-LA" },
    { "lrc",      "lrc-Arab-IR" },
    { "lt",       "lt-Latn-LT" },
    { "lu",       "lu-Latn-CD" },
    { "luo",      "luo-Latn-KE" },
    { "luy",      "luy-Latn-KE" },
    { "lv",       "lv-Latn-LV" },
    { "mai",      "mai-Deva-IN" },
    { "mas",      "mas-Latn-KE" },
    { "mer",      "mer-Latn-KE" },
    { "mfe",      "mfe-Latn-MU" },
    { "mg",       "mg-Latn-MG" },
    { "mgh",      "mgh-Latn-MZ" },
    { "mgo",      "mgo-Latn-CM" },
    { "mi",       "mi-Latn-NZ" },
    { "mk",       "mk-Cyrl-MK" },
    { "ml",       "ml-Mlym-IN" },
    { "mn",       "mn-Cyrl-MN" },
    { "mn-CN",    "mn-Mong-CN" },
    { "mn-Mong",  "mn-Mong-CN" },
    { "mni",      "mni-Beng-IN" },
    { "mo",       "mo-Latn-RO" },
    { "moh",      "moh-Latn-CA" },
    { "mr",       "mr-Deva-IN" },
    { "ms",       "ms-Latn-MY" },
    { "ms-CC",    "ms-Arab-CC" },
    { "mt",       "mt-Latn-MT" },
    { "mua",      "mua-Latn-CM" },
    { "my",       "my-Mymr-MM" },
    { "mzn",      "mzn-Arab-IR" },
    { "na",       "na-Latn-NR" },
    { "naq",      "naq-Latn-NA" },
    { "nb",       "nb-Latn-NO" },
    { "nd",       "nd-Latn-ZW" },
    { "nds",      "nds-Latn-DE" },
    { "ne",       "ne-Deva-NP" },
    { "nl",       "nl-Latn-NL" },
    { "nmg",      "nmg-Latn-CM" },
    { "nn",       "nn-Latn-NO" },
    { "nnh",      "nnh-Latn-CM" },
    { "no",       "no-Latn-NO" },
    { "nqo",      "nqo-Nkoo-GN" },
    { "nr",       "nr-Latn-ZA" },
    { "nso",      "nso-Latn-ZA" },
    { "nus",      "nus-Latn-SS" },
    { "nyn",      "nyn-Latn-UG" },
    { "oc",       "oc-Latn-FR" },
    { "om",       "om-Latn-ET" },
    { "or",       "or-Orya-IN" },
    { "os",       "os-Cyrl-GE" },
    { "pa",       "pa-Guru-IN" },
    { "pa-Arab",  "pa-Arab-PK" },
    { "pa-PK",    "pa-Arab-PK" },
    { "pap",      "pap-Latn-CW" },
    { "pcm",      "pcm-Latn-NG" },
    { "pl",       "pl-Latn-PL" },
    { "prg",      "prg-Latn-PL" },
    { "ps",       "ps-Arab-AF" },
    { "pt",       "pt-Latn-BR" },
    { "qu",       "qu-Latn-PE" },
    { "quc",      "quc-Latn-GT" },
    { "rm",       "rm-Latn-CH" },
    { "rn",       "rn-Latn-BI" },
    { "ro",       "ro-Latn-RO" },
    { "rof",      "rof-Latn-TZ" },
    { "ru",       "ru-Cyrl-RU" },
    { "rw",       "rw-Latn-RW" },
    { "rwk",      "rwk-Latn-TZ" },
    { "sa",       "sa-Deva-IN" },
    { "sah",      "sah-Cyrl-RU" },
    { "saq",      "saq-Latn-KE" },
    { "sat",      "sat-Olck-IN" },
    { "sbp",      "sbp-Latn-TZ" },
    { "sd",       "sd-Arab-PK" },
    { "sd-Deva",  "sd-Deva-IN" },
    { "sd-IN",    "sd-Deva-IN" },
    { "sd-Khoj",  "sd-Khoj-IN" },
    { "sd-Sind",  "sd-Sind-IN" },
    { "se",       "se-Latn-NO" },
    { "seh",      "seh-Latn-MZ" },
    { "ses",      "ses-Latn-ML" },
    { "sg",       "sg-Latn-CF" },
    { "shi",      "shi-Tfng-MA" },
    { "si",       "si-Sinh-LK" },
    { "sk",       "sk-Latn-SK" },
    { "sl",       "sl-Latn-SI" },
    { "sm",       "sm-Latn-WS" },
    { "sma",      "sma-Latn-SE" },
    { "smj",      "smj-Latn-SE" },
    { "smn",      "smn-Latn-FI" },
    { "sms",      "sms-Latn-FI" },
    { "sn",       "sn-Latn-ZW" },
    { "so",       "so-Latn-SO" },
    { "sq",       "sq-Latn-AL" },
    { "sr",       "sr-Cyrl-RS" },
    { "sr-ME",    "sr-Latn-ME" },
    { "sr-RO",    "sr-Latn-RO" },
    { "sr-RU",    "sr-Latn-RU" },
    { "sr-TR",    "sr-Latn-TR" },
    { "ss",       "ss-Latn-ZA" },
    { "ssy",      "ssy-Latn-ER" },
    { "st",       "st-Latn-ZA" },
    { "su",       "su-Latn-ID" },
    { "sv",       "sv-Latn-SE" },
    { "sw",       "sw-Latn-TZ" },
    { "syr",      "syr-Syrc-IQ" },
    { "ta",       "ta-Taml-IN" },
    { "te",       "te-Telu-IN" },
    { "teo",      "teo-Latn-UG" },
    { "tg",       "tg-Cyrl-TJ" },
    { "tg-Arab",  "tg-Arab-PK" },
    { "tg-PK",    "tg-Arab-PK" },
    { "th",       "th-Thai-TH" },
    { "ti",       "ti-Ethi-ET" },
    { "tig",      "tig-Ethi-ER" },
    { "tk",       "tk-Latn-TM" },
    { "tl",       "tl-Latn-PH" },
    { "tn",       "tn-Latn-ZA" },
    { "to",       "to-Latn-TO" },
    { "tr",       "tr-Latn-TR" },
    { "ts",       "ts-Latn-ZA" },
    { "tt",       "tt-Cyrl-RU" },
    { "twq",      "twq-Latn-NE" },
    { "tzm",      "tzm-Latn-MA" },
    { "ug",       "ug-Arab-CN" },
    { "ug-Cyrl",  "ug-Cyrl-KZ" },
    { "ug-KZ",    "ug-Cyrl-KZ" },
    { "ug-MN",    "ug-Cyrl-MN" },
    { "uk",       "uk-Cyrl-UA" },
    { "ur",       "ur-Arab-PK" },
    { "uz",       "uz-Latn-UZ" },
    { "uz-AF",    "uz-Arab-AF" },
    { "uz-Arab",  "uz-Arab-AF" },
    { "uz-CN",    "uz-Cyrl-CN" },
    { "vai",      "vai-Vaii-LR" },
    { "ve",       "ve-Latn-ZA" },
    { "vi",       "vi-Latn-VN" },
    { "vo",       "vo-Latn-001" },
    { "vun",      "vun-Latn-TZ" },
    { "wae",      "wae-Latn-CH" },
    { "wal",      "wal-Ethi-ET" },
    { "wo",       "wo-Latn-SN" },
    { "xh",       "xh-Latn-ZA" },
    { "xog",      "xog-Latn-UG" },
    { "yav",      "yav-Latn-CM" },
    { "yi",       "yi-Hebr-UA" },
    { "yo",       "yo-Latn-NG" },
    { "za",       "za-Latn-CN" },
    { "zgh",      "zgh-Tfng-MA" },
    { "zh",       "zh-Hans-CN" },
    { "zh-AU",    "zh-Hant-AU" },
    { "zh-BN",    "zh-Hant-BN" },
    { "zh-Bopo",  "zh-Bopo-TW" },
    { "zh-GB",    "zh-Hant-GB" },
    { "zh-GF",    "zh-Hant-GF" },
    { "zh-HK",    "zh-Hant-HK" },
    { "zh-Hanb",  "zh-Hanb-TW" },
    { "zh-Hant",  "zh-Hant-TW" },
    { "zh-ID",    "zh-Hant-ID" },
    { "zh-MO",    "zh-Hant-MO" },
    { "zh-PA",    "zh-Hant-PA" },
    { "zh-PF",    "zh-Hant-PF" },
    { "zh-PH",    "zh-Hant-PH" },
    { "zh-SR",    "zh-Hant-SR" },
    { "zh-TH",    "zh-Hant-TH" },
    { "zh-TW",    "zh-Hant-TW" },
    { "zh-US",    "zh-Hant-US" },
    { "zh-VN",    "zh-Hant-VN" },
    { "zu",       "zu-Latn-ZA" },

    { nullptr, nullptr }
};
// --- --- --- generated code ends here --- --- ---

#endif // _WX_PRIVATE_LANG_LIKELY_H_
