/////////////////////////////////////////////////////////////////////////////
// Name:        wx/private/lang_regions.h
// Purpose:     Mapping of region groups for selected languages
// Author:      misc/languages/genlang.py
// Created:     2024-10-04
// Copyright:   (c) 2024 wxWidgets development team <vadim@wxwidgets.org>
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

// WARNING: Parts of this file are generated. See misc/languages/README for
// details.

#ifndef _WX_PRIVATE_LANG_REGIONS_H_
#define _WX_PRIVATE_LANG_REGIONS_H_

// ----------------------------------------------------------------------------
// Mapping of region groups
// ----------------------------------------------------------------------------

// --- --- --- generated code begins here --- --- ---

// The following data tables are generated by misc/languages/genlang.py
// When making changes, please put them into misc/languages/regiongrouptabl.txt

// Data table for region groups
static const struct regionGroupData_t
{
    const char* language;
    const char* country;
}
regionGroupData[] =
{
    { "ar",    "DZ" },
    { "ar",    "EH" },
    { "ar",    "LY" },
    { "ar",    "MA" },
    { "ar",    "MR" },
    { "ar",    "TN" },
    { "en",    "AS" },
    { "en",    "CA" },
    { "en",    "GU" },
    { "en",    "MH" },
    { "en",    "MP" },
    { "en",    "PH" },
    { "en",    "PR" },
    { "en",    "UM" },
    { "en",    "US" },
    { "en",    "VI" },
    { "es",    "AG" },
    { "es",    "AI" },
    { "es",    "AR" },
    { "es",    "AW" },
    { "es",    "BB" },
    { "es",    "BL" },
    { "es",    "BM" },
    { "es",    "BO" },
    { "es",    "BQ" },
    { "es",    "BR" },
    { "es",    "BS" },
    { "es",    "BV" },
    { "es",    "BZ" },
    { "es",    "CA" },
    { "es",    "CL" },
    { "es",    "CO" },
    { "es",    "CR" },
    { "es",    "CU" },
    { "es",    "CW" },
    { "es",    "DM" },
    { "es",    "DO" },
    { "es",    "EC" },
    { "es",    "FK" },
    { "es",    "GD" },
    { "es",    "GF" },
    { "es",    "GL" },
    { "es",    "GP" },
    { "es",    "GS" },
    { "es",    "GT" },
    { "es",    "GY" },
    { "es",    "HN" },
    { "es",    "HT" },
    { "es",    "JM" },
    { "es",    "KN" },
    { "es",    "KY" },
    { "es",    "LC" },
    { "es",    "MF" },
    { "es",    "MQ" },
    { "es",    "MS" },
    { "es",    "MX" },
    { "es",    "NI" },
    { "es",    "PA" },
    { "es",    "PE" },
    { "es",    "PM" },
    { "es",    "PR" },
    { "es",    "PY" },
    { "es",    "SR" },
    { "es",    "SV" },
    { "es",    "SX" },
    { "es",    "TC" },
    { "es",    "TT" },
    { "es",    "US" },
    { "es",    "UY" },
    { "es",    "VC" },
    { "es",    "VE" },
    { "es",    "VG" },
    { "es",    "VI" },
    { "pt",    "AG" },
    { "pt",    "AI" },
    { "pt",    "AR" },
    { "pt",    "AW" },
    { "pt",    "BB" },
    { "pt",    "BL" },
    { "pt",    "BM" },
    { "pt",    "BO" },
    { "pt",    "BQ" },
    { "pt",    "BR" },
    { "pt",    "BS" },
    { "pt",    "BV" },
    { "pt",    "BZ" },
    { "pt",    "CA" },
    { "pt",    "CL" },
    { "pt",    "CO" },
    { "pt",    "CR" },
    { "pt",    "CU" },
    { "pt",    "CW" },
    { "pt",    "DM" },
    { "pt",    "DO" },
    { "pt",    "EC" },
    { "pt",    "FK" },
    { "pt",    "GD" },
    { "pt",    "GF" },
    { "pt",    "GL" },
    { "pt",    "GP" },
    { "pt",    "GS" },
    { "pt",    "GT" },
    { "pt",    "GY" },
    { "pt",    "HN" },
    { "pt",    "HT" },
    { "pt",    "JM" },
    { "pt",    "KN" },
    { "pt",    "KY" },
    { "pt",    "LC" },
    { "pt",    "MF" },
    { "pt",    "MQ" },
    { "pt",    "MS" },
    { "pt",    "MX" },
    { "pt",    "NI" },
    { "pt",    "PA" },
    { "pt",    "PE" },
    { "pt",    "PM" },
    { "pt",    "PR" },
    { "pt",    "PY" },
    { "pt",    "SR" },
    { "pt",    "SV" },
    { "pt",    "SX" },
    { "pt",    "TC" },
    { "pt",    "TT" },
    { "pt",    "US" },
    { "pt",    "UY" },
    { "pt",    "VC" },
    { "pt",    "VE" },
    { "pt",    "VG" },
    { "pt",    "VI" },
    { "zh-Hant", "HK" },
    { "zh-Hant", "MO" },

    { nullptr, nullptr }
};
// --- --- --- generated code ends here --- --- ---

#endif // _WX_PRIVATE_LANG_REGIONS_H_
